Bug 1547384 (CVE-2018-7273) - CVE-2018-7273 kernel: Kernel address information leak in drivers/block/floppy.c:show_floppy function potentially allowing KASLR bypass
Summary: CVE-2018-7273 kernel: Kernel address information leak in drivers/block/floppy...
Keywords:
Status: CLOSED WONTFIX
Alias: CVE-2018-7273
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1547385 1547386
Blocks: 1547387
TreeView+ depends on / blocked
 
Reported: 2018-02-21 08:56 UTC by Andrej Nemec
Modified: 2021-02-17 00:47 UTC (History)
45 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
In the Linux kernel, through 4.15.4, the floppy driver reveals the addresses of kernel functions and global variables using printk calls within the function show_floppy in drivers/block/floppy.c. An attacker can read this information from dmesg and use the addresses to find the locations of kernel code and data and bypass kernel security protections such as KASLR.
Clone Of:
Environment:
Last Closed: 2018-02-22 14:33:19 UTC


Attachments (Terms of Use)

Description Andrej Nemec 2018-02-21 08:56:09 UTC
In the Linux kernel through 4.15.4, the floppy driver reveals the addresses of kernel functions and global variables using printk calls within the function show_floppy in drivers/block/floppy.c. An attacker can read this information from dmesg and use the addresses to find the locations of kernel code and data and bypass kernel security protections such as KASLR.

References:

https://lkml.org/lkml/2018/2/20/669

https://marc.info/?t=151916731000001&r=1&w=2

Comment 1 Andrej Nemec 2018-02-21 08:56:31 UTC
Created kernel tracking bugs for this issue:

Affects: fedora-all [bug 1547386]

Comment 5 Vladis Dronov 2018-02-22 14:33:19 UTC
Statement:

This issue does not affect the Linux kernel packages as shipped with Red Hat Enterprise Linux 5, 6, and Red Hat Enterprise MRG 2, as KASLR feature is not present or enabled in these products.

This issue affects the Linux kernel packages as shipped with Red Hat Enterprise Linux 7, its real-time kernel, Red Hat Enterprise Linux 7 for ARM 64 and Red Hat Enterprise Linux 7 for Power 9 LE. This has been rated as having Low security impact and is not currently planned to be addressed in future updates. For additional information, refer to the Red Hat Enterprise Linux Life Cycle: https://access.redhat.com/support/policy/updates/errata/.


Note You need to log in before you can comment on or make changes to this bug.